// Copyright 2017-2025 WIT.COM Inc. All rights reserved.
// Use of this source code is governed by the GPL 3.0

package main

// An app to submit patches for the 30 GO GUI repos

import (
	"os"
	"time"

	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
	"go.wit.com/log"
)

func debug() {
	for {
		time.Sleep(3 * time.Second)
		log.Info("TODO: use this?")
	}
}

func doGui() {
	me.myGui = gui.New()
	me.myGui.InitEmbed(resources)
	me.myGui.Default()

	mainWindow := gadgets.NewGenericWindow("RiscV Imager", "Show Drives")
	mainWindow.Custom = func() {
		log.Warn("Main window close")
		os.Exit(0)
	}

	drawWindow(mainWindow)

	// sits here forever
	debug()
}

func drawWindow(win *gadgets.GenericWindow) {
	grid := win.Group.RawGrid()

	grid.NewLabel("Drives:")

	me.dd = grid.NewDropdown()
	me.dd.AddText("/dev/blah")
	me.dd.Custom = func() {
		log.Info("todo: changed drive")
	}
	grid.NextRow()

	grid.NewButton("doDrives()", func() {
		doDrives()
	})

	grid.NewButton("doDrives2()", func() {
		doDrives2()
	})

	grid.NewButton("partition drives", func() {
		log.Info("something")
	})

	grid.NextRow()

	grid.NewButton("ConfigSave()", func() {
		log.Info("todo: make code for this")
	})

}
